package com.yonge.cooleshow.biz.dal.vo;

import com.yonge.cooleshow.common.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Author: cy
 * @Date: 2022/6/15
 */
@ApiModel
public class StudentSignVo extends BaseEntity {
    @ApiModelProperty("学生id")
    private Long userId;

    @ApiModelProperty("学生姓名")
    private String userName;

    @ApiModelProperty("学生真实姓名")
    private String realName;

    @ApiModelProperty("老师签到状态 0:异常 1:正常")
    private Integer studentInSign;

    @ApiModelProperty("老师签退状态 0:异常 1:正常")
    private Integer studentOutSign;

    @ApiModelProperty("课程id")
    private Long courseId;

    public Long getCourseId() {
        return courseId;
    }

    public void setCourseId(Long courseId) {
        this.courseId = courseId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getRealName() {
        return realName;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }

    public Integer getStudentInSign() {
        return studentInSign;
    }

    public void setStudentInSign(Integer studentInSign) {
        this.studentInSign = studentInSign;
    }

    public Integer getStudentOutSign() {
        return studentOutSign;
    }

    public void setStudentOutSign(Integer studentOutSign) {
        this.studentOutSign = studentOutSign;
    }
}
